%define kdfprivate_major 22
%define libkdfprivate    %mklibname kdfprivate %{kdfprivate_major}

Name:           kdf
Summary:        View free disk space
Version: 		23.08.5
Release:        %mkrel 1
Group:          Graphical desktop/KDE5
License:        GPLv2 and LGPLv2 and GPLD
URL:            https://utils.kde.org/projects/kdf/
Source0:        http://download.kde.org/stable/applications/%{version}/src/%name-%{version}.tar.xz

BuildRequires: kf5-macros
BuildRequires: cmake 
BuildRequires: lib64kconfig-devel 
BuildRequires: lib64kcoreaddons-devel 
BuildRequires: lib64kf5auth-devel 
BuildRequires: lib64kf5completion-devel 
BuildRequires: lib64kf5configwidgets-devel 
BuildRequires: lib64kf5i18n-devel 
BuildRequires: lib64kf5iconthemes-devel 
BuildRequires: lib64kf5notifications-devel 
BuildRequires: lib64kf5service-devel 
BuildRequires: lib64kf5widgetsaddons-devel 
BuildRequires: lib64kf5xmlgui-devel 
BuildRequires: lib64kio-devel 
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5dbus-devel 
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5widgets-devel 

%description
KDiskFree displays the available file devices (hard drive partitions,
floppy and CD/DVD drives, etc.) along with information on their capacity,
free space, type and mount point. It also allows you to mount and unmount
drives and view them in a file manager.

%files
%_kf5_bindir/kdf
%_kf5_bindir/kwikdisk
%_kf5_iconsdir/*/*/apps/kcmdf.*
%_kf5_iconsdir/*/*/apps/kdf.*
%_kf5_iconsdir/*/*/apps/kwikdisk.*
%_kf5_applicationsdir/org.kde.kdf.desktop
%_kf5_applicationsdir/org.kde.kwikdisk.desktop
%_kf5_datadir/kxmlgui5/kdf/
%_kf5_libdir/lib*.so.*
%_kf5_datadir/locale
%_kf5_datadir/metainfo/org.kde.kdf.appdata.xml
%_kf5_datadir/qlogging-categories5/kdf.categories
/usr/lib64/qt5/plugins/plasma/kcms/systemsettings_qwidgets/kcm_kdf.so
/usr/share/applications/kcm_kdf.desktop
#------------------------------------------------------------------------------

%package -n kdf-handbook
Summary:        kdf Handbook
Group:          Documentation
Requires:		%name
BuildArch:      noarch

%description -n kdf-handbook
This package provides kdf Handbook.

%files -n kdf-handbook
%_kf5_docdir/HTML

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="System" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/ $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

